﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Markup;

namespace SyncFusionTest
{
    public class TestConverter : MarkupExtension, IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var valueAtString = value as string;
            if (string.IsNullOrEmpty(valueAtString))
            {
                return "Empty";
            }

            return valueAtString;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }

        public override object ProvideValue(IServiceProvider serviceProvider)
        {
            return this;
        }
    }
}
